]>

# Das KMidi Handbuch

Version 1.1, 17. Juni 1998

Dieses Handbuch beschreibt KMidi Version 1.1

Deutsche Uebersetzung der KMidi Dokumentation

KMidi
KDE
deutsch
Dokumentation

## Einleitung

KMidi ist ein MIDI-Player und MIDI-WAV-Konverter.

Probieren Sie ihn aus, wenn sie MIDI auf Linux bereits aufgegeben hatten. Ohne teure Hardware wie eine Gravis Ultrasound oder Sound Blaster AWE64 bekommen Sie einen phantastischen Klang, vergleichbar dem, den Sie mit der oben genannten Hardware erhalten. Gratis!

Der Haken:

- KMidi verwendet Ihre CPU-Zeit, typischerweise 10-30&percnt; bei 32000Hz auf einem Pentium 120. Wenn Sie eine langsamere Maschine haben, können Sie einfach die Samplefrequenz mit den Befehlszeilen-Optionen reduzieren. So sollte es Ihnen auch auf einem 486er möglich sein, einen sehr annehmbaren Klang zu bekommen, ohne Ihre CPU zu überfordern.

- Sie benötigen Sound Patches. Einen vollständigen Satz von General MIDI Patches finden Sie in jedem Ultrasound-Archiv. Die typischen Speicheranforderungen sind ca. 10 Megabytes.

Glauben Sie mir, dies ist ein kleiner Preis für den Klang, den Sie bekommen!

KMidi unterstützt zur Zeit (Version 1.1) die folgenden Plattformen:

- Linux

- FreeBSD

- DEC OSF/1

- HP UX

- SUN

- SUN SOLARIS

Die Nicht-KDE-Version von TiMidity läuft möglicherweise auch auf all diesen Plattformen, wurde aber nur unter Linux getestet.

Portierungen auf andere Plattformen sollten einfach sein. Kontaktieren Sie mich bitte, wenn Sie KMidi auf ein anderes System portiert haben.

KMidi verwendet Tuukka Toivonens TiMidity 0.2i Engine, Copyright (C) 1995 Tuukka Toivonen. Zusammen mit KMidi wird auch eine erweiterte Version von Tuukkas Originalprogramm mit fünf verschiedenen Benutzeroberflächen ausgeliefert (Informationen zur Kompilierung von TiMidity finden Sie weiter unten). KMidi und TiMidity benutzen AWE SoundFont Erweiterungen von Takashi Iwai und AMD InterWave Erweiterungen von Greg Lee, welche es Ihnen erlauben, SoundFonts (.sbk/.sf2-Dateien) oder IW Patches (.fff/.dat-Dateien) zu benutzen, zusätzlich zu den Gravis/Forte .pat-Dateien.

Für Details zum Gebrauch schauen Sie in der TiMidity(1)-Man-Page nach.

Es ist mir bewußt, daß dieses Programm noch Kanten und Ecken hat, und ich bin mir sicher, daß Sie KMidi zum Absturz bringen können, wenn Sie es lange genug versuchen. Dennoch glaube ich, daß KMidi bereits mehr als nur brauchbar ist und Ihnen viele Stunden Spaß machen kann. Denken Sie daran, daß MIDI-Dateien typischerweise ca. 50 Kilobytes groß sind und deshalb so leicht heruntergeladen werden können, daß Ihnen niemals großartige MIDIs zum Abspielen ausgehen werden.

Viel Spaß mit KMidi!

`Bernd Johannes Wuebben`, wuebben@kde.org

## Installation

### Wie Sie KMidi bekommen

KMidi ist ein Teil des KDE-Projekts (http://www.kde.org). Sie finden KMidi auf ftp://ftp.kde.org/pub/kde/, dem Haupt-FTP-Server des KDE-Projekts. Die Homepage ist http://math.cornell.edu/˜wuebben/kde.html

### Anforderungen

Um KMidi erfolgreich kompilieren zu können, brauchen Sie die neuesten Versionen von `libkdecore` und `libkdeui`. Alle benötigten Bibliotheken wie auch KMidi selbst finden Sie auf ftp://ftp.kde.org/pub/kde/.

### Kompilierung und Installation

Wenn Sie KMidi bereits installiert haben, so stellen Sie bitte sicher, daß Sie eine Sicherungskopie der Konfigurationsdateien haben (typischerweise zu finden unter &dollar;KDEDIR/share/apps/kmidi/config/), bevor Sie KMidi installieren, da diese sonst überschrieben werden. Genauso sollten Sie vor der Installation einer neuen Version von TiMidity (nicht-KDE-Version) die Dateien unter /usr/local/lib/timidity/* sichern. Wenn Sie umgekehrt eine komplett neue Installation dieser beiden Programme vornehmen wollen, sollten Sie diese Dateien löschen, da sie unter Umständen von der neuen Version nicht überschrieben werden.

Wenn Sie die komplette kdemultimedia-Distribution haben, wechseln Sie ins kdemultimedia-Verzeichnis und tippen:

    % ./configure

Bleiben Sie in diesem Verzeichnis, wenn Sie alle Multimedia-Programme erzeugen wollen oder wechseln Sie ins Verzeichnis kmidi, falls Sie nur dieses eine Programm wollen. Dort tippen Sie:

    % make
    % make install

Beachten Sie, daß Sie für `make install` im allgemeinen Root-Rechte benötigen.

Wenn Sie eine Nicht-KDE-Version von TiMidity erzeugen möchten, ändern Sie die Datei Makefile.tim nach Wunsch (je nach favorisierter Benutzeroberfläche) und tippen:

    % make clean
    % make -f Makefile.tim
    % make -f Makefile.tim install.bin
    % make -f Makefile.tim install.lib
    % make -f Makefile.tim install.man

Sollten Sie auf Probleme stoßen, bitte ich Sie, mir diese zu melden.

### Woher bekommt man einen vollständigen Satz Patches?

KMidi kann drei Arten von Patch-Sätzen benutzen: GUS-Patches, IW `Fonts` und AWE32 SoundFonts. Ein Patch ist eine Menge von Samples und Parametern für ein einzelnes Instrument. Bei GUS befindet sich jeder Patch in einer eigenen Datei, IW Fonts haben alle Samples in einer `.dat`-Datei und die dazugehörigen Parameter in einer `.fff`-Datei. AWE32 SoundFonts packen alles zusammen in eine einzige `.sf2-` oder`.sbk`-Datei.

Zuerst einige Sites, wo Sie GUS-Patches finden:

Dan Hollis hat einen Patch-Satz zusammengestellt. Bitte besuchen Sie seine Seite auf http://www.anime.net/˜goemon/timidity und helfen Sie ihm, diesen zum besten verfügbaren Satz zu machen.

Neu: Ich habe den oben erwähnten Patch-Satz auf ftp.kde.org hinaufgeladen. Der genaue Ort änder sich gerade. Schauen Sie sich einfach ein wenig auf dem KDE Server um.

Patches können auch als .dep oder .rpm Module im Sunsite Archiv gefunden werden:

- Debian (.dep): timidity-patches_0.1.tar.gz

- .rpm: timidity-patches-1-1.i386.rpm

- .srpm: timidity-patches-1-1.src.rpm-try2

Ich habe die oben genannten Patches (bis jetzt) nicht ausprobiert. Ich selbst verwende den Midia Patch-Satz sowie einige zusätzliche Patches und Schlagzeug-Sätze. Sie finden den Midia Patch-Satz auf ftp://archive.cs.umbc.edu/pub/midia/.

Weitere Patches finden Sie auf ftp://ftp.cdrom.com/pub/gus/sound/patches/files/. (Probieren Sie die gsdrum- und wow-Patches aus!)

Vincent Pagel hat eine Sammlung von Patches zusammengestellt. Dieser Link kann nur während der Nachtstunden in Paris erreicht werden: ftp://sig.enst.fr/pub/midi/instruments/ Sie finden die Konfigurationsdatei, die zu seinem Patch-Satz paßt auf: ftp://sig.enst.fr/pub/midi/timidity_pagel.cfg

Besuchen Sie auch die TimidityPage http://www.clinet.fi/~toivonen/timidity/

und Takashis Homepage: http://bahamut.mm.t.u-tokyo.ac.jp/~iwai/midi.html#TiMidity Takashis Homepage empfiehlt den 8 MB AWE32 SoundFont `chaos8m.sf2` und den 12 MB großen AWE32 SoundFont `chaos12m.sf2`, welche ganz gut sind. Sie sind erhältlich unter http://soback.kornet.nm.kr/~chaos/sbawe32/sbawe32.htm, abgelegt als selbstextrahierende `*.exe`-Datei.

Unter ftp://sdc.wtm.tudelft.nl/pub/music/soundbank finden Sie einige freie IW-Fonts. Der einzige IW-Font mit Stereo-Patches, den ich kenne, kostet $33 auf CD, siehe unter http://sdc.wtm.tudelft.nl/utopia

#### Installation von Patch-Sätzen

Jeder der oben genannten Patch-Sätze (Sie benötigen nur einen) sollte eine `.cfg`-Datei enthalten, ähnlich jener, die in KMidi enthalten ist und sich in `$KDEDIR/share/apps/kmidi/config` befindet.

KMidi hat für eine Reihe von verbreiteten Patch-Sätzen - wie den Midia-Satz - fertige Konfigurationsdateien für Sie bereit.

Zum Abschuß der Installation eines Patch-Satzes muß die Datei `timidity.cfg` gändert und die Konfigurationsdatei des heruntergeladenen Patch-Satzes eingebunden werden. (Wenn Sie einen Blick in die `timidity.cfg`-Datei werfen, wird Ihnen völlig klar, worüber ich spreche.)

Das war's. Jetzt können Sie auch die anderen MIDIs abspielen, die sich im KMidi Paket befinden.

#### Verschiedenes

Gelegentlich werden Sie erleben, daß KMidi einen Patch für ein spezielles Instrument nicht findet. (Öffnen Sie das Informationsfenster, um eine Fehlermeldung zu sehen.) In diesem Fall müssen Sie sich nur den fehlenden Patch besorgen und ihn installieren, indem Sie ihn in das Verzeichnis `patch/` kopieren und Ihre Konfigurationsdatei bearbeiten, um KMidi anzuzeigen, daß der neue Patch nun verfügbar ist.

Manchmal klingt auch ein bestimmtes Instrument nicht besonders gut. In diesem Fall können Sie sich in einem der Ultrasound-Archive einen neuen Patch besorgen und damit den schlechteren ersetzen. Wie Sie feststellen werden, ist es völlig Ihnen überlassen, wie gut jedes Instrument klingt. Sie können sogar Ihre eigenen Patches mit dem pat2wav Programm herstellen, das in der KMidi-Distribution enthalten ist.

## Anwendung

### Allgemeines zur Anwendung

Klicken Sie auf den Knopf Auswerfen, um den Dialog mit Liederlisten zu öffnen. Wählen Sie eine MIDI-Datei durch einen Doppelklick aus. Ich habe ein paar MIDI-Dateien ins Verzeichnis `midi/` der Distribution kopiert.

Um richtig mit KMidi zu arbeiten, benötigen Sie einen vollständigen General MIDI Patch-Satz.

### Midi-Dateinamen

KMidi ersetzt jedes ```&lowbar;`'' im Namen einer MIDI-Datei mit einem Leerzeichen und schneidet gegebenenfalls die Endung ```.mid`'' oder ```.MID`'' ab.

### Befehlszeilen-Parameter

    ./kmidi -h
     TiMidity version 0.2i (C) 1995 Tuukka Toivonen <toivonen@clinet.fi>
     TiMidity is free software and comes with ABSOLUTELY NO WARRANTY.

     KMidi version 1.1.1 MIDI und WAVE player/converter
     Copyright (C) 1997 Bernd Johannes Wuebben <wuebben@math.cornell.edu>

     KMidi is free software and comes with ABSOLUTELY NO WARRANTY.

    Anwendung:
      kmidi [Optionen] Dateiname [...]

      Benutzen Sie "-" als Dateinamen, um eine MIDI-Datei von stdin zu lesen

    Optionen:
      -o Datei Ausgabe in eine andere (Geräte-)Datei (Verwenden Sie "-" für
               die Standardausgabe)
      -O Modus Wähle Ausgabe-Modus und -Format (siehe unten)
      -s f     Wähle die Samplingfrequenz f (Hz oder kHz)
      -a       Schalte den Antialiasing Filter ein
      -f       Schalte den Fast Decay Modus ab
      -p n     Erlaube n-stimmige Polyphonie
      -A n     Verstärke die Laustärke um n Prozent (Dies kann Clipping
               bewirken)
      -C n     Setze das Verhältnis der Sample- und Kontrollfrequenzen

      -L Verz  Füge Verz zum Suchpfad hinzu
      -c Datei Lies zusätzliche Konfiguration aus Datei
      -I n     Verwende das Programm n als Voreinstellung
      -P Datei Verwende die Patch-Datei für alle Programme
      -D n     Spiele das Schlagzeug auf Kanal n
      -Q n     Ignoriere den Kanal n
      -F       Schalte schnelles Panning ein
      -U       Lösche die Instrumente zwischen dem Abspielen von zwei MIDI-
               Dateien aus dem Speicher

      -i Modus Wähle die Benutzerschnittstelle (siehe unten)
      -B n     Setze die Anzahl der Puffer-Fragmente
      -h       Zeige diese Hilfe an (auf englisch)

    Verfügbare Ausgabemodi (-O Option):

      -Od      Linux dsp Gerät
      -Ow      RIFF WAVE Datei
      -Or      Rohe Waveform Daten

    Ausgabeformat-Optionen (zur -O? Option hinzufügen):

       `8'     8-bit Samplebreite
       `1'     16-bit Samplebreite
       `U'     uLaw kodiert
       `l'     Linear kodiert
       `M'     einstimmig (Mono)
       `S'     Stereo
       `s'     Vorzeichenbehaftete Ausgabe
       `u'     Vorzeichenlose Ausgabe
       `x'     Ausgabe mit vertauschten Bytes

    Verfügbare Benutzerschnittstellen (-i Option):

      -iq      KMidi mit Qt Schnittstelle
      -id      Befehlszeilen-Schnittstelle

    Schnittstellen-Optionen (zur -i? Option hinzufügen):

       `v'     ausführliche Angaben
       `q'     wenige  Angaben
       `t'     alles mitschreiben

## Fragen und Antworten

### Woher bekomme ich einen vollständigen Patch-Satz?

Bitte lesen Sie dazu den entsprechenden Abschnitt im Kapitel zur Installation von KMidi.

## Lizenzbestimmungen

    KMidi Copyright 1997 Bernd Johannes Wuebben
                         wuebben@math.cornell.edu

    KMidi verwendet Tuukka Toivonens TiMidity 0.2i Engine,
    Copyright (C) 1995 Tuukka Toivonen <toivonen@clinet.fi>
    und Takashi Iwais <iwai@dragon.mm.t.u-tokyo.ac.jp> neueste Sound Font Patches.

    Dieses Programm ist freie Software; Sie können es weitergeben und/oder
    verändern entsprechend den Bestimmungen der GNU General Public License,
    wie diese von der Free Software Foundation veröffentlicht wurden, entweder
    entsprechend Version 2 der Bestimmungen oder (nach Ihrer Wahl) jeder
    späteren Version.

    Dieses Programm wird in der Hoffnung, daß es nützlich ist, aber
    OHNE EINE GARANTIE verbreitet; sogar ohne die implizite Garantie der
    MARKTGÄNGIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK. Lesen Sie die GNU
    General Public License um genauere Datails zu erfahren.

    Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
    Programm erhalten haben; wenn nicht, so schreiben Sie an die
    Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    (Bitte beachten Sie, daß die englische Version dieser Lizenz allein
    maßgebend ist)